Version 2.0.7:
	o Fixed problem with export command -A options (bug#1293717)
	o Spelling corrections to Swedish translation (courtesy Peter Landgren).
Version 2.0.6:
	o Fixed export command bug#1235759 (missing quotes on -c and -R switches)
Version 2.0.5:
	o Fixed bug#1190416 (Progress window shows CDR for media type
	  even when splitting archives is turned off).
	o Updated Swedish translation courtesy Peter Landgren.
Version 2.0.4:
	o Fixed bug#1171747 (KDar cannot read its own archive).
	o Now libdar "Saving Extended Attributes for ..." message
	  is displayed in the progress dialog on its own line.
	  As a result, KDar is fast again while creating archives
	  with EA info.
Version 2.0.3:
	o Fixed bug#1167171 (EA disabled by default).
Version 2.0.2:
	o New Swedish translation (Peter Landgren)
	o Progress dialog caption updates current percentage of completion
Version 2.0.1:
	o Fix for compilation problem on some systems.
	o Some fixes to the sourcecode for translations.
Version 2.0.0:
	o Now using libdar API V3.0. This is a thread-safe library.
	o Thread cancellation is implemented. Users can now safely
	  and quickly cancel any archive operation without having to
	  "kill" KDar from the commandline.
	o Event handling has been refactored into a new class:
	  "kdarEventHandler".
	o More compiled-in library features are displayed in 
	  the "About" dialog.
	o Strong encryption support is implemented. A single 
	  encryption password can be stored in the KDE Wallet.
          Scrambling encryption support is disabled in this release.
	o Creation progress is reported using a new dialog.
	o A default archive storage directory is presented to the user
	  when starting KDar for the first time ("$HOME/dar_backups/").
	  The user can cancel, whereupon the default storage location
	  is set to "$HOME". See bug#1071416.
	o Fixed QValidator bug for slice size inputs (bug#1097947).
	o Now kdar profiles must have the extension ".kdar".
	o An error is displayed if the user tries to save or read
          a profile without the necessary priveleges.
	o Users are asked if they want to overwrite existing
          profiles.
	o Directory filter dialog now uses a KURLRequester.
	o Changed "New" to "Add" in filter dialogs.
	o Now file dialogs open at last selected directory.
	o Archive listing now uses is_dir and has_children flags 
          from libdar.
	o Relocated the "allow overwrite" and "warn on overwrite"
          configure options to the main module. Also let libdar
          remove existing archives if necessary.
	o The KIO::listJob is killed if the user cancels the 
	  create operation.
	o Fixed bug where a change in the size of a default
	  medium (i.e. CDR-80) caused old custom settings to be
	  loaded (bug#1113766).
	o Fixed bug where "Auto" directory exclusion filter
	  was not updated when the default storage directory
	  was changed (bug#1113777).
	o Fixed crashes when cancelling any archive operation
	  except "create", when running that operation first.
	o Fixed unquoted -E option in commandline export (bug#1144385).
	o Fixed compilation warning in KDarInteraction copy constructor.
	o New methods in KDarController class for reporting libdar 
	  compiled-in features.
	o Fixed error reporting strong encryption feature in "About" dialog.
	o Fixed crash when performing differential backup after first
	  cancelling the backup and trying again.
	o Fixed crash when clicking "View" archive, when the "Open" archive
	  had already failed.
        o Configure script no longer checks for libz, libbz2, or libcrypto,
          and the corresponding features do not show up in the configuration
          dialog if they are not supported by libdar.
        o New custom KIO::KDarListRecursive is used to calculate the
          number of files that will be added to an archive during creation.
          This is used to calculate a percentage for progress feedback
          to the user. This KIO::KDarListJob does not descend into
          directories that would be excluded by libdar filters, so it is
          much faster than a KIO::ListRecursive ListJob.
        o Fixed bug in log output where missing end-of-line characters
          were not appended to the log message.
        o The progress bar in the progress dialog is reset to 0 before
          creating a new archive.
Version 1.3.2:
	o Individual file restore works again (bug#1088069).
	o Export command does not include first slice size if
          it is 0 (bug#1097255).
	o Export command's directory filters are relative paths again
          (see bug#1097257). 
	o Fix missing basename and missing refname in export command
          (see bug#1098706).
        o Fixed default directory set to "/" bug#1102120.
Version 1.3.1:
        o Main window splitter position is now saved on exit and restored
          on startup (bug#1074737)
        o Default archive storage directory is now saved in the configuration
          dialogs (bug#1073570)
        o Fixed bug where "//" in paths crashes KDar (bug#1071164).
        o Updated admin directory with latest KDE (3.3.1) (bug#1075570).
	o Total time for archive operation is displayed properly if
	  it is less than 1 second (bug#1076005).
        o Now the default archive storage directory is prepended to the
          archive of reference during differential creation, if the ref
          archive is not an absolute path (bug#1079028).
Version 1.3.0:
	o Significant code rewrite to approximate the model-view-controller
	  architecture. New abstract classes KDarThread and controller.
	o Cancel button now behaves as expected. It defaults to a disabled state.
          User will be unable to cancel operations in this release.
          Cancellation will be enabled in KDar-2.0.0.
	o Now most of the libdar messages are sent to the statusBar. This
	  prevents kdar from slowing down verbose operations on large
	  archives.
	o Splash screen now shows kdar version.
	o New logging facility. User can specify log file, and verbosity level.
	o Basic log viewer has been implemented.
	o Now the equivalent dar commandlines are printed to the log file for
	  each operation that is performed.
	o Create and restore dialogs let you export the equivalent 
	  dar command line.
        o Spanish translation. Thanks to Mauro Esteve for providing it.
        o Now users cannot create archives using directory filters that are
          not subdirectories of the root directory. (See Bug#1061114).
        o Fixed bug#1013839, where extraction directory was not saved in
          restoration profiles.
        o Fixed "Remove All" file filters bug#1024879.
        o Fixed profile-loading bug#1044696.
Version 1.2.1:
	o Fixed bug#1013839, where extraction directory was not saved in 
	  restoration profiles.
        o Fixed "Remove All" file filters bug#1024879.
        o Fixed profile-loading bug#1044696.
Version 1.2.0:
	o Added basic printing functionality for message window output.
	o Message window can be cleared.
	o New configuration class.
	o File browser, message window, and status bar fonts are now 
	  configurable from the kdar settings dialog.
	o Backup profiles allow user to save and restore creation and 
	  extraction settings.
	o Creation messages are displayed in the statusbar. This
	  prevents KDar from slowing down for large archives.
	o Feedback on current slice and its size are displayed in 
	  statusbar during archive creation.
	o Mistakes in creation configuration are caught, and user can
	  try to fix them. Previous behaviour was to cancel the operation
	  altogether.
	o New directory filter type "Auto", which indicates that the
	  filter was generated automatically by KDar.
	o "Open recent" added to file menu. Got rid of the droplist.
	o First slices sizes of all media types can be changed.
	o String substitution in new archive name (in creation dialog).
	o Displays a splash screen on startup.
	o Progress indicator in statusbar during creation indicates 
	  percentage of files that have been added to the archive.
Version 1.1.1: 
	o Help dialog now shows libdar version.
	o Fixed crash when user enters a new archive name without 
	  a full path (Bug #975982).
	o Now KDar asks new users for a default backup directory. Now user just 
	  needs an archive name when creating new archives.
Version 1.1.0:
	o KDar now uses QT threads to call libdar operations. As a
	  result, GUI responsiveness is restored.
	o QListViewItem changed to kdarListViewItem in kdardialog.cpp
	o Fixed bug #899090 (Crash when right-clicking in tree list view).
	o Fixed bug #894637 (unexpected sort behaviour on size and date).
	o Fixed bug #907520 (Exclude/Include problem).
	o Now filter dialogs show previous values within a session
	o New Create Archive Wizard. It's enabled by default.
	o New class archiveHandle checks archive names for 
	  proper format.
	o Fixed directory filter bug (#923934): kdar would crash 
	  if "*/tmp" were selected as a directory filter during 
	  archive creation.
	o Archives are now opened without asking the user to verify
	  whether the .*.dar suffix should be removed.
	o Changelog now reports changes in reverse chronological order
	  and has been merged with 1.0 release Changelog.
	o Now double-clicking on the archive name in the file list view
	  lists the archive contents if the archive has not already been
	  viewed ("View archive"). Suggested by Alban Minassian.
	o The archive browser now shows icons according to a file's
	  mimetype (suggested by Alban Minassian).
	o Only integers are allowed to be entered into the slice size
	  lineEdit fields.
	o Main window now has splitter layout to allow user to adjust 
	  relative sizes of the archive browser and messages panes.
	o User can now select slice sizes from a list of common
	  media types.
	o Fixed bug #933828 (crash on exit if "select archive" appears in
	  archive combobox).
	o Fixed bug #935172 (directory filter editing bugs).
	o Fixed bug where kdar crashed with double-click on empty part of
	  archive browser window.
	o Fixed bug #936940 (kdar freezes as root trying to create archive).
	o Now statusbar is used to display status of libdar operations.
Version 1.1.0-beta1-beta3:
	o All changes incoporated into version 1.1.0 list.
Version 1.0.0: (040208)
	o KDar now users libdar 2.1.0, with modified LIBDAR_MODE switch.
	o Otherwise, it's the same as kdar-1.0-beta3
Version 1.0.0-beta3: (040125)
	o Create archive dialog now has KLineEdit for command to
	  execute after each slice has been created. Use this
	  for running xcdroast, or mkisofs | cdrecord, PArchive, 
	  etc.
	o "Credits" tab added to "About KDar" dialog
	o "About KDar" dialog now reports libdar features, such as
	  largefile support, integer bit-size, etc.
	o Slice size and First slice size are now stored as strings
	  in kdarrc (configuration file). The user can now choose
	  the slice size units from a droplist (B, kB, MB, GB, TB).
Version 1.0.0-beta2:
	o Code cleanups thanks to Sven Bergner (031228)
	  --- removed using namespace instructions to help
	      readability of code for newcomers
	  --- changed #defines to const declarations to make
	      them typesafe and debuggable.
	o Largefile support problem fixed.
Version 1.0.0-beta1 = Version 0.4
Version 0.4 (031209):
	o KDar now uses libdar API version 2.
	o Implemented context menu in tree-view: only extracts files 
	  at the moment
	o Added several compression filters to default list
	o Compression and file filters now saved on exit, and
	  restored when starting program again.
	o lastArchive entry in kdarrc is now stored without the
	  .[1-9][0-9]*.dar ending
	o KDar no longer opens the lastArchive on startup, in case
	  the lastArchive is a large file (which causes long
	  startup times).
	o If archive is not open when user hits "read archive", it 
	  is opened automatically.
	o Changed several QT widgets to their KDE counterparts.
	o archiveFileView layout is now stored in config file.
	o Added restore dialog
	o Now restore configuration options are set in the restore
	  dialog. No longer set in the settings dialog. kdarrc has
	  been modified to reflect the change.
	o Drag-n-Drop still works, but you have to drop in the
	  right place in the main window. The KListView does
	  not accept drops. Any ideas why? This worked properly
	  when I was using a plain old QListView.
	o Open archive action is now under the "File" menu.
	o Test run (dry run) capability in restoration now.
	o KHelpCenter help pages added for KDar. 
Version 0.3.4 (031112):
	o Added separate directory filters dialog: can choose standard
	  directories from list (/proc,/dev/pts,/tmp,/var/tmp), 
	  or custom choice.
	o Create archive now automatically excludes the directory
	  containing the new archive if it is a subdirectory of the root.
	o #include <dar/tools.hpp> instead of #include "tools.hpp"
	o removed tools.hpp and tuyau.hpp from kdar source directory
Version 0.3.3 (031109):
	o Fixed configure for building --- now the -DMODE=?? directive 
	  is set, instead of putting #define MODE ?? in config.h. The 
	  config.h method doesn't put libdar into the required MODE.
	o All KDar icons made. Improvements welcome!
	o Extraction of specific subdirectories, and individual files is
	  now possible by selecting items in the file list view, with 
	  the control key, and shift key. Extraction of a single directory
	  without its contents is not implemented yet, but should be.
Version 0.3.2 (031030):
	o Another compilation error fixed: libdar64 and its header 
	  are searched automatically by configure, so you don't need 
	  to add -DMODE=64 to $CXXFLAGS at configure time. You can
	  also specify which libdar to use (32-bit, 64-bit, or 
	  infinite-bit integer support).  
	o Added more KDar action icons
	o Now exceptions are handled properly thanks to an updated libdar.
	o modified INSTALL and added USAGE 
	o Implemented filename filters. Now directory, filename, and 
	  compression filters work.
Version 0.3.1 (031028):
	o Fixed some compilation errors thanks to Andreas Pour. 
	  #including libdar.hpp now automatic with dar-2.0.0-pre2 
	  and above, by #including dar/libdar.hpp, etc.
Version 0.3 (031026):
	o New KDar icon
	o toolbar added to kdarui.rc
	o hicolor icons should be installed automatically
Version 0.2.1 (031025):
	o Fixed bug where directories were not excluded from the 
	  archive during a create.
Version 0.2 (031024):
	o Added directory tab in creation dialog. Still have to
	  implement file filters though.
	o Drag-n-drop works for .dar files: the archive is 
	  automatically listed as well.
	o Got rid of useless "FileOpen, newFile, etc." slots.
Version 0.1.1:
	o Fixed compression filters. Now files actually 
	  are excluded from compression.
Version 0.1: (September 2003?)
	o Initial version.
First release, version 0.1 October 09, 2003

